
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>《C陷阱与缺陷》一1.5　字符与字符串 / iVAN</title>

    <meta name="description" content="《C陷阱与缺陷》一1.5　字符与字符串 1.5 字符与字符串 C语言中的单引号和双引号含义迥异,在某些情况下如果把两者弄混,编译器并不会检测报错,从而在运行时产生难以预料的结果. 用单引号引起的一个字符实际上代表一个整数,整数值对应于该字符在编译器采用的字符集中的序列值.因此,对于采用ASCII字符集的编译器而言,'a'的含义与0141(八进制)或者97(十进制)严格一致. 用双引号引起的字符串,代表的却是一个指向无名数组起始字符的指针,该数组被双引号之间的字符以及一个额外的二进制值为零的字符'0'初始化. 下面的这个语句: prin">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">《C陷阱与缺陷》一1.5　字符与字符串</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h3>1.5　字符与字符串</h3>
<p>C语言中的单引号和双引号含义迥异，在某些情况下如果把两者弄混，编译器并不会检测报错，从而在运行时产生难以预料的结果。</p>
<p>用单引号引起的一个字符实际上代表一个整数，整数值对应于该字符在编译器采用的字符集中的序列值。因此，对于采用ASCII字符集的编译器而言，'a'的含义与0141（八进制）或者97（十进制）严格一致。</p>
<p>用双引号引起的字符串，代表的却是一个指向无名数组起始字符的指针，该数组被双引号之间的字符以及一个额外的二进制值为零的字符'0'初始化。</p>
<p>下面的这个语句：</p>
<pre><code>printf ("Hello world\n");
</code></pre>
<p>与</p>
<pre><code>char hello[] = {'H', 'e', 'l', 'l', 'o', ' ',
　　　　　　'w', 'o', 'r', 'l', 'd', '\n', 0};
printf (hello);
</code></pre>
<p>是等效的。</p>
<p>因为用单引号括起的一个字符代表一个整数，而用双引号括起的一个字符代表一个指针，如果两者混用，那么编译器的类型检查功能将会检测到这样的错误。例如：</p>
<pre><code>char *slash = '/';
</code></pre>
<p>在编译时将会生成一条错误消息，因为'/'并不是一个字符指针。然而，某些C编译器对函数参数并不进行类型检查，特别是对printf函数的参数。因此，如果用</p>
<pre><code>printf('\n');
</code></pre>
<p>来代替正确的</p>
<pre><code>printf("\n");
</code></pre>
<p>则会在程序运行的时候产生难以预料的错误，而不会给出编译器诊断信息。本书的4.4节还详细讨论了其他情形。</p>
<p>译注：</p>
<p>现在的编译器一般能够检测到在函数调用时混用单引号和双引号的情形。<br />整型数（一般为16位或32位）的存储空间可以容纳多个字符（一般为8位），因此有的C编译器允许在一个字符常量（以及字符串常量）中包括多个字符。也就是说，用'yes'代替"yes"不会被该编译器检测到。后者（即"yes"）的含义是“依次包含'y'、'e'、's'以及空字符'0'的4个连续内存单元的首地址”。前者（即'yes'）的含义并没有准确地进行定义，但大多数C编译器理解为，“一个整数值，由'y'、'e'、's'所代表的整数值按照特定编译器实现中定义的方式组合得到”。因此，这两者如果在数值上有什么相似之处，也完全是一种巧合而已。</p>
<p>译注：</p>
<p>在Borland C++ v5.5和LCC v3.6中采取的做法是，忽略多余的字符，最后的整数值即第一个字符的整数值；而在Visual C++ 6.0和GCC v2.95中采取的做法是，依次用后一个字符覆盖前一个字符，最后得到的整数值即最后一个字符的整数值。<br />练习1-1.　某些C编译器允许嵌套注释。请写一个测试程序，要求：无论是对允许嵌套注释的编译器，还是对不允许嵌套注释的编译器，该程序都能正常通过编译（无错误消息出现），但是这两种情况下程序执行的结果却不相同。</p>
<p>提示：</p>
<p>在用双引号括起的字符串中，注释符 /*属于字符串的一部分，而在注释中出现的双引号" "又属于注释的一部分。<br />练习1-2.　如果由你来实现一个C编译器，你是否会允许嵌套注释？如果你使用的C编译器允许嵌套注释，你会用到编译器的这一特性吗？你对第二个问题的回答是否会影响到你对第一个问题的回答？</p>
<p>练习1-3.　为什么n--&gt;0的含义是n-- &gt; 0，而不是n- -&gt; 0？</p>
<p>练习1-4.　a+++++b的含义是什么？</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:41:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%ba%91%e6%a0%96%e7%a4%be%e5%8c%ba/" title="云栖社区">云栖社区</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e7%bb%84/" title="数组">数组</a>, <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e5%ad%97%e7%ac%a6%e9%9b%86/" title="字符集">字符集</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>《C陷阱与缺陷》一1.5　字符与字符串的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj2QAmb.html" rel="bookmark">《C陷阱与缺陷》一第1章 词法&OpenCurlyDoubleQuote;陷阱&rdquo;1&period;1　&equals;不同于&equals;&equals;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第1章 词法&quot;陷阱&quot; C陷阱与缺陷当我们阅读一个句子时,我们并不去考虑组成这个句子的单词中单个字母的含义,而是把单词作为一个整体来理解.确实,字母本身并没有什么意义,我们总是将字母组成单词,然后给单词赋予一定的意义. 对于用C语言或其他语言编写的程序,道理也是一样的.程序中的单个字符孤立来看并没有什么意义,只有结合上下文才有意义.因此,在p-&gt;s = &quot;-&gt;&quot;;这个语句中,两处出现的'-'字符的意义大相径庭.更精确地说,上式中出现的两个'-'字符分别是不			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4kEPYp.html" rel="bookmark">《C陷阱与缺陷》一第0章 导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第0章 导读 C陷阱与缺陷我的第一个计算机程序写于1966年,是用Fortran语言开发的.该程序需要完成的任务是计算并打印输出10 000以内的所有Fibonacci数,也就是一个包括1,1,2,3,5,8,13,21,--等元素的数列,其中第2个数字之后的每个数字都是前两个数字之和.当然,写程序代码很难第一次就顺利通过编译: I = 0 J = 0 K = 1 1 PRINT 10,K I = J J = K K = I + J IF (K - 10000) 1, 1, 2 2 CALL E			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6wK0Xp.html" rel="bookmark">《C陷阱与缺陷》一导读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前 言 C陷阱与缺陷对于经验丰富的行家而言,得心应手的工具在初学时的困难程度往往要超过那些容易上手的工具.刚刚接触飞机驾驶的学员,初航时总是谨小慎微,只敢沿着海岸线来回飞行,等他们稍有经验就会明白这样的飞行其实是一件多么轻松的事.初学骑自行车的新手,可能觉得后轮两侧的辅助轮很有帮助,但一旦熟练过后,就会发现它们很是碍手碍脚. 这种情况对程序设计语言也是一样.任何一种程序设计语言,总存在一些语言特性,很可能会给还没有完全熟悉它们的人带来麻烦.令人吃惊的是,这些特性虽然因程序设计语言的不同而异,但对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBXaQJp.html" rel="bookmark">C陷阱与缺陷</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.     &lt;C陷阱与缺陷&gt; int num[10]={0} ;   测试一下 num[0]  是否 等于 0[num]  ......   因为num是首地址   num+0 ==0+num 2. 其实C中只有一维数组   我们所说的 int a[3][4]   只是一个包含了三个元素  每个元素都是包含了四个整形值的一维数组     3.int  num[10][10]  ;  int *p=num[0]  ; 名为num的数组中 num[0]-num[9]表示的是 每个长度为10的一维			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPle1p.html" rel="bookmark">《C陷阱与缺陷》&mdash;&mdash;总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要总结自己看完&lt;C陷阱与缺陷&gt;这本书后的感想. 总的来说,在看的过程中遇到一些知识点的时候,深入的去查询资料,去了解稳重的实质,会让你有一种知识点上的明悟. 本书1-3章,从词法,语法,语义三方面阐述了C中的缺陷和陷阱,对于C和C++者来说可以获得很多新的东西,规避一些自己平时忽略的东西. 本书4-7章,所讲的东西与编译器的联系太过紧密,很多东西对于现在的编译器来说都,都能够胜任,而不需要读者去考虑.故本博客所写&lt;C陷阱与缺陷&gt;系列文章主要为1-3章内容还有第6章内容. 第四			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YWJDp.html" rel="bookmark">C陷阱与缺陷阅读笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要记录&lt;C陷阱与缺陷&gt;第三章中的一些知识. 一.指针与数组: C语言数组特点: (1)C语言中只有一维数组,而且数组的大小必须在编译期就作为一个常数确定下来.由于数组的元素可以是任何类型的对象,当然也可是另外一个数组.这样,要&quot;仿真&quot;出一个多维数组就不是一件难事. (2)对于一个数组,我们只能够做两件事:确定该数组的大小,以及获得指向改数组下标为0的元素的指针.其他有关数组的操作,哪怕他们乍看上去是以数组下标进行运算的,实际上都是通过指针进行的.换句话说,任何一个数组			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJABvp.html" rel="bookmark">Swift字符与字符串</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				直接上基础的示例代码,多敲多体会就会有收获:百看不如一敲,一敲就会 1 import Foundation 2 3 4 /*******************字符********************/ 5 /* 6 1.单个字符来指定字符常量,如&quot;A&quot;.&quot;9&quot; 7 2.转义字符表示特殊字符常量,如&quot;\n&quot;.&quot;\t&quot; 8 3.使用 \u{n} 的Unicode形式,n代表一个1-8位的十六进制数 9 4.必须用双引号包起来			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9zeBlVb.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;3&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CharUpper - 字符或字符串转大写 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; Button4: TButton; Button5:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0zGxvlb.html" rel="bookmark">Delphi调用WinAPI 字符及字符串函数&lpar;1&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				CharLower - 字符或字符串转小写 unit Unit1; interface uses Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls; type TForm1 = class(TForm) Button1: TButton; Button2: TButton; Button3: TButton; Button4: TButton; Button5:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXW5LM.html" rel="bookmark" class="title">备份MySQL数据库的Bash脚本</a>
					<div>
						If you host your own blog or any Web-based application running on the stack, you should have a backu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv3A6p.html" rel="bookmark" class="title">Fireworks MX使用教程－教你如何制作渐变按钮</a>
					<div>
						按钮|渐变|教程 1.使用矩形工具在工作区画一个矩形.2.在&quot;工具&quot;面板&quot;位图&quot;部分中的&quot;油漆桶&quot;工具上单击并按住鼠标按钮.从出现的弹出菜单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/YMRP1ez.html" rel="bookmark" class="title">ASP&period;NET对IIS中的虚拟目录进行操作</a>
					<div>
						asp.net|iis|虚拟目录 ASP.NET对IIS中的虚拟目录进行操作 //假如虚拟目录名为&quot;Webtest&quot;,先在项目中引用 //System.DirectoryServi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxm8Kb.html" rel="bookmark" class="title">ASP&period;NET Web Forms 4&period;0中双向Routing支持</a>
					<div>
						.NET Framework 3.5 SP1已经包含了ASP.NET Routing引擎.现在微软已经在ASP.NET WebForms 4.0中 增加了对Routing引擎更好的支持,它使用表达式构 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wVW1p.html" rel="bookmark" class="title">如何调试ASP的环境</a>
					<div>
						  如何调试ASP的环境: 学习目的:安装调试ASP的环境,并且调试第一个简单的程序. 因为我们学ASP的目的就是想建立一个网站,那么一般习惯是建立的网站内所有文件应该同时放到一个文件夹中(当然这个文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NKvgz.html" rel="bookmark" class="title">Win8如何设置默认Web浏览器</a>
					<div>
						在&quot;开始&quot;屏幕上,在屏幕右侧边缘轻扫,然后点击&quot;搜索&quot;. (如果你正使用鼠标,请指向屏幕右上角,然后单击&quot;搜索&quot;.) 输入默认程序,然后点击 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKaOOM.html" rel="bookmark" class="title">语言教程学堂：hibernate缓存机制详细分析</a>
					<div>
						在本篇随笔里将会分析一下hibernate的缓存机制,包括一级缓存(session级别).二级缓存(sessionFactory级别)以及查询缓存,当然还要讨论下我们的N+1的问题. 随笔虽长,但我相 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MArE23p.html" rel="bookmark" class="title">js正则表达exec与match的区别说明</a>
					<div>
						 本篇文章主要是对js正则表达exec与match的区别进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 以前用js很少用到js的正则表达式,即使用到了,也是诸如邮件名称之类的判断,网上代码很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJLDep.html" rel="bookmark" class="title">Windows XP经典Internet问题</a>
					<div>
						  IP配置工具哪里去了 Windows 95/98/Me提供了一个Winipcfg.exe工具,可以方便地检查IP网络详细信息,但Windows XP 不再提供这个工具.有的电缆调制解调器(Cabe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLavKWz.html" rel="bookmark" class="title">Java千百问&lowbar;05面向对象（008）&lowbar;java中覆盖是什么</a>
					<div>
						1.什么是覆盖 在Java中,覆盖是针对继承才有的概念,某一个子类需要某些方法或属性,但又不想使用父类中的同名的方法或属性,就需要使用覆盖.  直白的来说,就是在子类中编写与父类同名.同参数.同返回值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWXYop.html" rel="bookmark" class="title">如何缓存大量机票的数据，优化航班的查询</a>
					<div>
						问题描述 如何缓存大量机票的数据,优化航班的查询 先说说应用的场景,要做一套机票查询和预定以及支付的系统. 连接第三方机票数据接口, 但是对方只提供了一种查询机票的方式:通过出发地和目的地,还有日期, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd63j6b.html" rel="bookmark" class="title">浅析Asp&period;net MVC 中Ajax的使用&lowbar;AJAX相关</a>
					<div>
						一.使用System.Web.Mvc.Ajax 1.1 System.Web.Mvc.Ajax.BeginForm 1.2 System.Web.Mvc.Ajax.ActionLink 二.手工打造自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW27yXb.html" rel="bookmark" class="title">《Cocos2d-x实战 JS卷 Cocos2d-JS开发》上线了</a>
					<div>
						感谢大家一直以来的支持! 各大商店均开始销售:京东:http://item.jd.com/11659698.html当当:http://product.dangdang.com/23659808.ht ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Nq2gM.html" rel="bookmark" class="title">【原创】Aspose&period;Words组件介绍及使用&mdash;基本介绍与DOM概述</a>
					<div>
						       本博客所有文章分类的总目录:http://www.cnblogs.com/asxinyu/p/4288836.html 本博客其他.NET开源项目文章目录:http://www.cnbl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3gwvz.html" rel="bookmark" class="title">ios-sdk顺序和拖拽播放歌曲</a>
					<div>
						问题描述 sdk顺序和拖拽播放歌曲 使用AVAudioPlayer播放歌曲,有一个MPMediaItem的数组,我想要通过顺序和拖拽播放. 代码: AVAudioPlayer *player2; MP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRaOEz.html" rel="bookmark" class="title">不能收发外部邮件</a>
					<div>
						问题描述 新建了一个用户,应该是因为security原因,无法用outlook收发邮件,安全软件用的是CIS,请问怎么把用户加入CIS,还是有别的STMP等设置原因造成的?请帮忙分析					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAGZkM.html" rel="bookmark" class="title">开发移动应用，你应该注意这些小细节</a>
					<div>
						本文讲的是开发移动应用,你应该注意这些小细节, 你的 app 的成功涉及很多因素,但最重要的是总体用户体验.市场上脱颖而出的 app 都提供了很棒的 UX.具体到设计移动 UX,遵从最佳实践是一个好方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOlOPkb.html" rel="bookmark" class="title">01&lowbar;Nginx安装&comma;nginx下部署项目，nginx&period;conf配置文件修改，相关文件配置</a>
					<div>
						﻿﻿ 1.下载Nginx,进入Nginx下载地址:http://nginx.org/ 点击nginx-1.8.0,进入:http://nginx.org/en/download.html,下载文件:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0QQlM.html" rel="bookmark" class="title">OC&mdash;&mdash;第五天NSSArray&amp;amp&semi;amp&semi;nbsp&semi;&sol;NSDicti&hellip;</a>
					<div>
						1.oc中常用的集合(容器)有: 1.NSArry 数组:2.NSDicitionary 字典:3.NSSet 集(不常用)     数组:NSArry 继承自NSObject ,不可变的数组,用于管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Za7AM.html" rel="bookmark" class="title">Llama的使用</a>
					<div>
						1. 介绍 Llama (Low Latency Application MAster) 是一个 Yarn 的 Application Master,用于协调 Impala 和 Yarn 之间的集群资 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR6Emb.html" rel="bookmark" class="title">小波域 隐马尔可夫 模型</a>
					<div>
						问题描述 有没有人研究过小波域隐马尔可夫树模型的图像分割,这方面的理论国内外很多学者以及研究过,较为成熟,现在根据别人的论文,实现模型,可是在编程实现的时候有些问题,不知道有没有人做过这方面的研究,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7vAvM.html" rel="bookmark" class="title">截图保存并显示-系统自带截屏如何不用画图工具粘贴直接保存</a>
					<div>
						问题描述 系统自带截屏如何不用画图工具粘贴直接保存 自带的截屏快捷键,怎样直接保存,不打开画图工具粘贴,,,,,................ 解决方案 windows 8以上,键盘上的window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Enxp.html" rel="bookmark" class="title">卓天网络CM域名全国最低价&comma;火爆上市注册&excl;</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp; 卓天网络为您提供全国最低价注册.cm域名,届时请登录网站申 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22Y6Qb.html" rel="bookmark" class="title">快速构建Windows 8风格应用3-打包发布应用</a>
					<div>
						原文:快速构建Windows 8风格应用3-打包发布应用 本篇博文主要介绍如何打包应用程序,成功后如何部署应用程序,最后介绍如何发布应用程序到应用商店中. 如何打包Windows 8风格应用程序呢?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeKRkM.html" rel="bookmark" class="title">新手入门带你认识网络存储系统</a>
					<div>
						NAS(Network Attached Storage-网络附着存储)即将存储设备通过标准的网络拓扑结构(例如以太网)连接到一群计算机上.NAS是部件级的存储方法,它的重点在于帮助解决迅速增加存储容 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JQJkz.html" rel="bookmark" class="title">从一道面试题说去</a>
					<div>
						    有一道面试题: 给定n个整型数,怎样让这n个数的使用空间最小.      ok,我们都知道在32位的机器下,int类型的数占4个字节,因此n个数总的使用空间应该是4n.(64位不做解释)那我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGZD83p.html" rel="bookmark" class="title">javaeye导航中的当前栏目如何实现高亮的？</a>
					<div>
						问题描述 系统到底如何知道当前页面属于哪个栏目呀?有些栏目下的子页面可能有上百个网页,路径毫无规律,到底该如何实现呀?现在,我用current_page?(:controller =&gt; 'new ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZ2gq6z.html" rel="bookmark" class="title">php文件操作函数详解</a>
					<div>
						一.操作文件,获取文件信息  代码如下 复制代码 &lt;?php     //打开文件     $file_path=&quot;text.txt&quot;;     if($fp=fopen($ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0NY9Jz.html" rel="bookmark" class="title">基于Java的代理设计模式&lowbar;JSP编程</a>
					<div>
						一.引子 我们去科技市场为自己的机器添加点奢侈的配件,很多DIYer都喜欢去找代理商,因为在代理商那里拿到的东西不仅质量有保证,而且价格和售后服务上都会好很多.客户通过代理商得到了自己想要的东西,而且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLE6vM.html" rel="bookmark" class="title">jquery 倒计时效果实现秒杀思路&lowbar;jquery</a>
					<div>
						复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt; $(function(){ countDown(&quot;2015/9/8 11 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
